# Method: pos.inventory

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.PosInventoryResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#body.aspect)
- [PosInventoryRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#PosInventoryRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#PosInventoryRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#try-it)

Submit inventory for the given merchant.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/pos/{targetMerchantId}/inventory`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the POS or inventory data provider. |
| `targetMerchantId` | `string` The ID of the target merchant. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/pos/inventory#PosInventoryRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "storeCode": string, "itemId": string, "targetCountry": string, "contentLanguage": string, "gtin": string, "price": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`) }, "quantity": string, "timestamp": string, "pickupMethod": string, "pickupSla": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#posInventoryResponse`". |
| `storeCode` | `string` Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile. |
| `itemId` | `string` Required. A unique identifier for the item. |
| `targetCountry` | `string` Required. The [CLDR territory code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml) for the item. |
| `contentLanguage` | `string` Required. The two-letter ISO 639-1 language code for the item. |
| `gtin` | `string` Global Trade Item Number. |
| `price` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`)`` Required. The current price of the item. |
| `quantity` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The available quantity of the item. |
| `timestamp` | `string` Required. The inventory timestamp, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. |
| `pickupMethod` | `string` Optional. Supported pickup method for this offer. Unless the value is "not supported", this field must be submitted together with `pickupSla`. For accepted attribute values, see the [local product inventory feed specification](https://support.google.com/merchants/answer/3061342). |
| `pickupSla` | `string` Optional. Expected date that an order will be ready for pickup relative to the order date. Must be submitted together with `pickupMethod`. For accepted attribute values, see the [local product inventory feed specification](https://support.google.com/merchants/answer/3061342). |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PosInventoryRequest

| JSON representation |
|---|
| ``` { "storeCode": string, "itemId": string, "targetCountry": string, "contentLanguage": string, "gtin": string, "price": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`) }, "quantity": string, "timestamp": string, "pickupMethod": string, "pickupSla": string } ``` |

| Fields ||
|---|---|
| `storeCode` | `string` Required. The identifier of the merchant's store. Either a `storeCode` inserted through the API or the code of the store in a Business Profile. |
| `itemId` | `string` Required. A unique identifier for the item. |
| `targetCountry` | `string` Required. The [CLDR territory code](https://github.com/unicode-org/cldr/blob/latest/common/main/en.xml) for the item. |
| `contentLanguage` | `string` Required. The two-letter ISO 639-1 language code for the item. |
| `gtin` | `string` Global Trade Item Number. |
| `price` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Price`)`` Required. The current price of the item. |
| `quantity` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The available quantity of the item. |
| `timestamp` | `string` Required. The inventory timestamp, in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format. |
| `pickupMethod` | `string` Optional. Supported pickup method for this offer. Unless the value is "not supported", this field must be submitted together with `pickupSla`. For accepted attribute values, see the [local product inventory feed specification](https://support.google.com/merchants/answer/3061342). |
| `pickupSla` | `string` Optional. Expected date that an order will be ready for pickup relative to the order date. Must be submitted together with `pickupMethod`. For accepted attribute values, see the [local product inventory feed specification](https://support.google.com/merchants/answer/3061342). |